package net.northking.cctp.upperComputer.driver.usbmuxd.payload.usbmuxd.request;

import com.dd.plist.NSDictionary;
import net.northking.cctp.upperComputer.driver.usbmuxd.payload.usbmuxd.UsbMuxdPayload;

/**
 * 请求开始监听设备变化<br>
 * 目标：usbmuxd
 */
public class ListenDeviceRequest extends UsbMuxdPayload {

    /**
     * 持有根节点
     */
    private final NSDictionary root = new NSDictionary();

    public ListenDeviceRequest() {
        root.put("MessageType", "Listen");
        root.put("ClientVersionString", CLIENT_VERSION_STRING);
        root.put("ProgName", PROG_NAME);
        root.put("kLibUSBMuxVersion", KLIB_USBMUX_VERSION);
    }

    @Override
    public NSDictionary toData() {
        return root;
    }
}
